Hacking A9LH Luma Updater Current installed version: WTF

Blundermann

Well-Known Member
Member
Joined
Oct 15, 2013
Messages
174
Trophies
0
XP
387
Country
United States
I have this, too. I'll be switching to Star Updater.

Here's a screenshot for those who don't know what OP is talking about.
CWObPxn.png
 
  • Like
Reactions: Quantumcat
D

Deleted User

Guest
I have this, too. I'll be switching to Star Updater.

Here's a screenshot for those who don't know what OP is talking about.
CWObPxn.png
@Hamcha um..... 0.0

--------------------- MERGED ---------------------------

Did you download using Hombr3w? Maybe someone is trolling?
 
D

Deleted User

Guest
So does luma updater and star updater have any difference?
Luma Updater looks prettier and IS prettier. Star nailed down tracking which commit you have and the menu is easier to maneuver

Luma Updater is really good- just needs the bugs fixed
 

Sonic Angel Knight

Well-Known Member
Member
Joined
May 27, 2016
Messages
14,226
Trophies
1
Location
New York
XP
11,979
Country
United States
Luma Updater looks prettier and IS prettier. Star nailed down tracking which commit you have and the menu is easier to maneuver

Luma Updater is really good- just needs the bugs fixed
Well i mean it downloaded the update like it should and i know is 6.0.1 so i guess if i check and 6.0.2 or higher is releasaed i know i need to update, so It still works aside from the current installed version bug name thing :P
 
  • Like
Reactions: Deleted User

Majickhat55

The Red Woman
Member
Joined
Mar 28, 2016
Messages
4,936
Trophies
1
Age
34
Location
Asshai
XP
2,938
Country
United States
Mine has done this as well but it was ALWAYS because I was using a different arms payload than luma. Most recently I was using bootanim9. The updater only updates the arm9loaderhax.bin on the root of the SD so if you're using a boot manager or something else this is why you get the error.
 

Enryx25

Well-Known Member
OP
Member
Joined
Jan 25, 2016
Messages
703
Trophies
0
XP
1,685
Country
Italy
Mine has done this as well but it was ALWAYS because I was using a different arms payload than luma. Most recently I was using bootanim9. The updater only updates the arm9loaderhax.bin on the root of the SD so if you're using a boot manager or something else this is why you get the error.
Nope. It's a bug.
 

Hamcha

New Member
Newbie
Joined
Jun 13, 2016
Messages
2
Trophies
0
XP
34
Country
Italy
I have this, too. I'll be switching to Star Updater.

Here's a screenshot for those who don't know what OP is talking about.
CWObPxn.png

Man I've seen the version check fail but this is just amazing.
It should not compromise the functionality (it's just dumping bytes on the screen because the search algorithm is faulty), although I fear the cursor on the options might be broken because of the additional line it prints (that menu works thanks to magic).

I'm having issues both with time (work is being quite demanding of me lately) and personal (my router is acting up and none of the new ones I've found has a feature I need, if I can't connect my 3DS to wifi I can't test properly) so I can't work on it right now.

Use Star Updater if it causes issues, it's far more supported by its contributors and kept up to date than I will ever be able to do with mine.

EDIT: Wait how does it NOT know which version it is (the <unknown> bit at the top), is that the latest CIA from Github?
 
Last edited by Hamcha,

astronautlevel

Well-Known Member
Member
Joined
Jan 26, 2016
Messages
4,127
Trophies
0
Location
Maryland
Website
ataber.pw
XP
4,964
Country
United States
Man I've seen the version check fail but this is just amazing.
It should not compromise the functionality (it's just dumping bytes on the screen because the search algorithm is faulty), although I fear the cursor on the options might be broken because of the additional line it prints (that menu works thanks to magic).

I'm having issues both with time (work is being quite demanding of me lately) and personal (my router is acting up and none of the new ones I've found has a feature I need, if I can't connect my 3DS to wifi I can't test properly) so I can't work on it right now.

Use Star Updater if it causes issues, it's far more supported by its contributors and kept up to date than I will ever be able to do with mine.

EDIT: Wait how does it NOT know which version it is (the <unknown> bit at the top), is that the latest CIA from Github?
I investigated the issue, and it seems like you use "configuration" as the search string. Since 6.0 introduced a pin system that has an error message with "Error saving configuration," this is now the first instance of configuration in the binary and breaks your search string.
 
Last edited by astronautlevel,
  • Like
Reactions: GerbilSoft

Sumea

Disco Ninja Frog
Member
Joined
Aug 16, 2008
Messages
1,582
Trophies
0
Age
30
Location
Turku
XP
887
Country
Finland
I investigated the issue, and it seems like you use "configuration" as the search string. Since 6.0 introduced a pin system that has an error message with "Error saving configuration," this is now the first instance of configuration in the binary and breaks your search string.
For me weirdly enough; I do not have bad dump or whatever my Luma3DS updater just crashes on checking updates.
 

astronautlevel

Well-Known Member
Member
Joined
Jan 26, 2016
Messages
4,127
Trophies
0
Location
Maryland
Website
ataber.pw
XP
4,964
Country
United States
I am having a similar issue, it can't tell me the version I am currently on
I investigated the issue, and it seems like you use "configuration" as the search string. Since 6.0 introduced a pin system that has an error message with "Error saving configuration," this is now the first instance of configuration in the binary and breaks your search string.
I've reported this to him on IRC already, see:
Aug 26 10:22:12 <astronautlevel> Hamcha, you on?
Aug 26 10:22:23 <Hamcha> ye
Aug 26 10:22:27 <astronautlevel> I figured out why 6.0 breaks your Luma Update program
Aug 26 10:22:33 <astronautlevel> It uses configuration for the search string, right?
Aug 26 10:22:38 <Hamcha> yep
Aug 26 10:22:51 <astronautlevel> 6.0 introduced the pin system, which has an error message saying "Error saving configuration"
Aug 26 10:22:57 <astronautlevel> That's the first instance of configuration in the binary
Aug 26 10:22:57 <Hamcha> ..oh god
Aug 26 10:23:07 <Hamcha> yeah that's going to be why it breaks

Just wait for him to fix it
 
General chit-chat
Help Users
    KenniesNewName @ KenniesNewName: https://youtu.be/ueP6pqdExCo